// DemoAppView.h : interface of the CDemoAppView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DEMOAPPVIEW_H__B748123F_549A_11D4_ABE9_00D0B7197955__INCLUDED_)
#define AFX_DEMOAPPVIEW_H__B748123F_549A_11D4_ABE9_00D0B7197955__INCLUDED_

#include "WndCtrl.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CDemoAppView : public CView
{
protected: // create from serialization only
	CDemoAppView();
	DECLARE_DYNCREATE(CDemoAppView)

// Attributes
public:
	CDemoAppDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDemoAppView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	void AddEditCtrls();
	void AddMultiCtrls();
	void RepositionWnd( HWND hWnd );
	CComboBox m_combo;
	void AddBtnCtrls();
	void AddComboCtrls();
	void CreateWndCtrls();

	CWndCtrl m_ctrlListBox, m_ctrlStatic, m_ctrlEdit, m_ctrlFirst, m_ctrlCombo , m_ctrlMulti, m_ctrlButtons, m_ctrlEmpty;
	CListBox m_listbox, m_multiList;
	CStatic m_static1, m_static2, m_multiStatic;
	CButton m_grpList, m_grpEdit; //group boxes
	CButton m_btn1, m_btn2, m_multiBtn;
	CEdit m_edit, m_multiEdit;

	virtual ~CDemoAppView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CDemoAppView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void AddStaticCtrls();
};

#ifndef _DEBUG  // debug version in DemoAppView.cpp
inline CDemoAppDoc* CDemoAppView::GetDocument()
   { return (CDemoAppDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEMOAPPVIEW_H__B748123F_549A_11D4_ABE9_00D0B7197955__INCLUDED_)
